--- Creates the settings window for TON
function TON:CreateSettingsWindow()
  local LAM = LibStub:GetLibrary("LibAddonMenu-2.0")
  local panel_data = {
    type                = "panel",
    name                = self.name,
    displayName         = self.name,
    author              = self.author,
    version             = self.version,
    slashCommand        = "/ton",
    registerForRefresh  = true,
    registerForDefaults = false
  }
  LAM:RegisterAddonPanel(self.name, panel_data)

  local options_data = {
    [1] = {
      type = "header",
      name = self.name .. " Settings",
    },
    [2] = {
      type = "checkbox",
      name = "Show timer updated messages",
      tooltip = "Toggle whether or not to show the message when a timer is " ..
                "updated",
      default = true,
      getFunc = function()    return self.saved_variables.show_messages end,
      setFunc = function(val) self:SetShowMessagesSetting(val)          end,
    },
    [3] = {
      type = "checkbox",
      name = "Show debug output",
      tooltip = "Toggle whether or not to show the debug messages",
      default = false,
      getFunc = function()    return self.saved_variables.debug end,
      setFunc = function(val) self:SetDebugSetting(val)         end,
    },
  }

  LAM:RegisterOptionControls(self.name, options_data)
end

--- Sets whether or not to display a message to the user when a timer is updated
--  @param val  whether or not to notify the user 
function TON:SetShowMessagesSetting(val)
  self:PrintDebug("Setting show_messages to " .. tostring(val))
  self.saved_variables.show_messages = val
end

--- Sets whether or not to output debug text
--  @param val  whether or not to print debug text
function TON:SetDebugSetting(val)
  self:PrintDebug("Setting debug to " .. tostring(val))
  self.saved_variables.debug = val
end